unit uMainMenu;

interface

uses
  ElysionKronos,
  uBasic,
  uGlobal,
  uConfig,
  uMenu;

type
  TMainMenu = class(TelGameState)
  private
    
  public
    constructor Create; Override;
    destructor Destroy; Override;
	
    procedure Render; Override;
    procedure Update; Override;
    procedure HandleEvents; Override;
  published

  end;

implementation

constructor TMainMenu.Create;
begin
  
end;

destructor TMainMenu.Destroy;
begin
  
end;

procedure TMainMenu.Render;
begin
  
end;

procedure TMainMenu.Update;
begin
  
end;

procedure TMainMenu.HandleEvents;
begin
  

  if Input.Keyboard.isKeyUp(K_ESCAPE) then Application.Quit;
end;

end.
